Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFNull

    java.lang.Object
      org.apache.fop.pdf.PDFNull

All Implemented Interfaces:
  PDFWritable

public final class PDFNull
extends java.lang.Object
implements PDFWritable

Class representing a PDF name object.

Field Summary
`static PDFNull` | `INSTANCE` Instance for the "null" object.

Method Summary
`void` | `outputInline(java.io.OutputStream out, java.io.Writer writer)` Writes a "direct object" (inline object) representation to the stream. A Writer is given for optimized encoding of text content. Since the Writer is buffered, make sure `flush()` is called before any direct calls to `out` are made.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INSTANCE

    public static final PDFNull INSTANCE

  Instance for the "null" object.

Method Detail

### toString

    public java.lang.String toString()

### outputInline

    public void outputInline(java.io.OutputStream out,
                             java.io.Writer writer)
                      throws java.io.IOException

  Writes a "direct object" (inline object) representation to the stream. A Writer is given for optimized encoding of text content. Since the Writer is buffered, make sure `flush()` is called before any direct calls to `out` are made.

  Specified by:
    `outputInline` in interface `PDFWritable`
  Parameters:
    `out` - the OutputStream (for binary content)
    `writer` - the Writer (for text content, wraps the above OutputStream)
  Throws:
    `java.io.IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.